%define module_name hachoir-metadata

Summary:	Python library to read metadata file format for the hachoir framework
Name: 		python-%{module_name}
Version: 	1.3.3
Release: 	%mkrel 3
Source0: 	http://cheeseshop.python.org/packages/source/h/%{module_name}/%{module_name}-%{version}.tar.gz
License:	GPLv2
Group: 		Development/Python
URL: 		http://bitbucket.org/haypo/hachoir/wiki/Home
BuildArch:	noarch
Requires:	python-hachoir-core
Requires:	python-hachoir-parser
%{py_requires -d}
BuildRequires:	python-setuptools

%description
hachoir-metadata is tool to extract metadata from multimedia files 
(sound, video, archives, etc).

%prep
%setup -q -n %{module_name}-%{version}

%build
python setup.py build 

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --disable-qt


%files
%doc AUTHORS COPYING README 
%dir %{py_puresitedir}/hachoir_metadata
%{py_puresitedir}/hachoir_metadata/qt/
%{py_sitedir}/hachoir_metadata
%{py_sitedir}/hachoir_metadata-%{version}-py%{pyver}.egg-info
%{_bindir}/hachoir-metadata
%{_bindir}/hachoir-metadata-qt
%{_bindir}/hachoir-metadata-gtk




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.3.3-3.mga3
+ Revision: 378971
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 15 2011 mikala <mikala> 1.3.3-2.mga2
+ Revision: 143926
- Remove BuildRoot,%%clean section & %%defattr()
- imported package python-hachoir-metadata

